org.apache.groovy.metaclass

## Class MetaClass<T>

- java.lang.Object
- - org.apache.groovy.metaclass.MetaClass<T>

-     @Incubating
      public final class MetaClass<T>
      extends java.lang.Object

  A MetaClass within Groovy defines the behaviour of any given Groovy or Java class

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MetaMethod` | `getMethod(java.lang.String name, java.lang.Class[] parameters)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getMethod

          public MetaMethod getMethod(java.lang.String name,
                                      java.lang.Class[] parameters)